Bug 434884 - Scroll bar arrow buttons does not highlight on hover in QQC2 apps
Summary: Scroll bar arrow buttons does not highlight on hover in QQC2 apps
Status: RESOLVED FIXED
Alias: None
Product: frameworks-qqc2-desktop-style
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.80.0
Platform: Neon Linux
: NOR minor
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-24 14:13 UTC by Mohammed Sameer
Modified: 2021-08-10 20:41 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22.5


Attachments
system settings video (1.27 MB, video/webm)
2021-03-24 14:13 UTC, Mohammed Sameer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammed Sameer 2021-03-24 14:13:44 UTC
Created attachment 137030 [details]
system settings video

SUMMARY
Scroll bar arrow buttons does not highlight on hover in some applications like system settings, discover, plasma system monitor etc, while they are highlighted in blue color in dolphin. Please see the attached video.

STEPS TO REPRODUCE
1. enable scroll bar arrow buttons in settings
2. In system settings hover over the scroll bar arrow buttons & click them
3. 

OBSERVED RESULT
the scroll bar arrow buttons are not highlighted.

EXPECTED RESULT
the scroll bar arrow buttons are highlighted in blue color.

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.3
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-67-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 4 × Intel® Core™ i3-5010U CPU @ 2.10GHz
Memory: 3.8 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 5500

ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2021-08-09 22:27:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/breeze/-/merge_requests/121
Comment 2 Janet Blackquill 2021-08-10 20:20:45 UTC
Git commit b792ea06cf74d638650fcdc73401578f90d0a527 by Jan Blackquill.
Committed on 10/08/2021 at 19:48.
Pushed by cblack into branch 'master'.

kstyle: consider activeSubControls when deciding arrow colour

This fixes hover colours in qqc2-desktop-style, which
has no widget for us to poke at, so we have to use
activeSubControls instead, which we do have, regardless
of whether or not there's a widget.

M  +11   -0    kstyle/breezestyle.cpp

https://invent.kde.org/plasma/breeze/commit/b792ea06cf74d638650fcdc73401578f90d0a527
Comment 3 Janet Blackquill 2021-08-10 20:21:20 UTC
Git commit 37f43577ee2b1a095a6791c9dd7d2f6a3dfa7852 by Jan Blackquill.
Committed on 10/08/2021 at 20:21.
Pushed by cblack into branch 'Plasma/5.22'.

kstyle: consider activeSubControls when deciding arrow colour

This fixes hover colours in qqc2-desktop-style, which
has no widget for us to poke at, so we have to use
activeSubControls instead, which we do have, regardless
of whether or not there's a widget.

M  +11   -0    kstyle/breezestyle.cpp

https://invent.kde.org/plasma/breeze/commit/37f43577ee2b1a095a6791c9dd7d2f6a3dfa7852